## sympl-common 9.0.190604.0

=== Makefile ===

RUBYLIB := "./lib:$(PWD)/lib"

all: docs

man/%.man:: ./bin/%
	[ -d man ] || mkdir man
	RUBYLIB=$(RUBYLIB) $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

man/%.man:: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=$(RUBYLIB) $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

docs: man/sympl-encrypt-password.man  man/is-bytemark-ip.man  man/sympl-ip.man  man/sympl-test.man  man/which-backup-space.man man/sympl-configure-ips.man man/sympl-password-test.man man/sympl-ssl.man

clean:
	$(RM) -r man

test:
	RUBYLIB=$(RUBYLIB) ruby ./bin/sympl-test test.d/

.PHONY: test clean all docs

=== debian/changelog ===
sympl-common (9.0.190604.0) stable; urgency=medium

  * Replaced mentions of Symbiosis with Sympl.
  * Renamed package to sympl-common

 -- Paul Cammish <sympl@kelduum.net>  Tue, 04 Jun 2019 23:00:00 +0100

symbiosis-common (2018:0616) stable; urgency=medium

  * Rename deprecated 'File.exists?' call to 'File.exist?' in 'config_file.rb'. 
  * Add the admin user to the www-data group by default. 
  * Fix blank man pages for symbiosis-common scripts.
  * Fix up symbiosis-skel path

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Sat, 16 Jun 2018 23:44:10 +0100

symbiosis-common (2017:0901) stable; urgency=medium

  * Update postinstall hostname check to ensure HOSTNAME is qualfied.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 01 Sep 2017 09:28:20 +0100

symbiosis-common (2017:0830) stable; urgency=medium

  * Add support for running hooks on SSL certificate updates.
    See symbiosis-ssl's man page for more details.

 -- Telyn Roat <telyn@bytemark.co.uk>  Wed, 30 Aug 2017 11:04:32 +0100

symbiosis-common (2017:0818) stable; urgency=medium

  * Added diff option for Symbiosis::ConfigFile.
  * Applied rubocop to symbiosis-ssl script.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 Aug 2017 18:23:22 +0100

symbiosis-common (2017:0424) stable; urgency=medium

  * Updated copyright to new machine-readable format.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:47:58 +0100

symbiosis-common (2017:0328) stable; urgency=medium

  * Add symbiosis-generate-dhparams, which is used by other packages.

 -- Telyn Roat <telyn@bytemark.co.uk>  Tue, 28 Mar 2017 13:25:34 +0100

symbiosis-common (2015:1222) oldstable; urgency=medium

  * Ensure manpages are built.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Jul 2017 16:09:40 +0100

symbiosis-common (2015:1221) stable; urgency=medium

  * Rationalise testing of valid domain names into a method. 
  * Update letsencrypt tests to work with 0.3.5 of ruby-acme-client.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:44:32 +0100

symbiosis-common (2015:1220) stable; urgency=medium

  * Allow underscores in hostnames.
  * Clean up ACME challenge files after validation.
  * Fixed symbiosis-ssl manpage.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 09 Aug 2016 17:34:57 +0100

symbiosis-common (2015:1218) stable; urgency=medium

  * The current certificate is now marked for replacement if it is deemed
    invalid by OpenSSL.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 25 May 2016 15:45:59 +0100

symbiosis-common (2015:1217) stable; urgency=medium

  * Added --list and --select options for symbiosis-ssl
  * Self-signed certs are no longer chosen for roll-over unless the SSL
    provider is explcitly set to self-signed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 May 2016 22:19:40 +0100

symbiosis-common (2015:1216) stable; urgency=medium

  * Raise an error if the getpwent memory bug hits (closes #12783).
  * Added more output to symbiosis-ssl
  * Renew certificates at 21 days instead of 10, averting emails from
    LetsEncrypt.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 16 May 2016 12:13:26 +0100

symbiosis-common (2015:1215) stable; urgency=medium

  * Rejigged the conditions that trigger generation and rollover of
    certificates.
  * The next certificate name is now based on the contents of the ssl/sets/
    directory rather than the sets that are available for use.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 22 Jan 2016 15:22:48 +0000

symbiosis-common (2015:1214) stable; urgency=medium

  * Retry (up to 5 times) if LetsEncrypt return a bad nonce error.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 15:43:55 +0000

symbiosis-common (2015:1213) stable; urgency=medium

  * Don't give duff emails (with newlines) to letsencrypt.
  * More output is given when the letsencrypt verification step fails.
  * The first named domain will be used as the CN now.
  * Added --force flag to re-request certificates.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 12:03:30 +0000

symbiosis-common (2015:1212) stable; urgency=medium

  * Only poll the LetsEncrypt servers whilst the certificate request is still
    pending, rather than waiting until it is verified.
  * Fixed up --help opion to commands to output help.
  * Fixed "!! Failed: Error creating new authz :: DNS name was empty" error.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 19 Jan 2016 11:40:35 +0000

symbiosis-common (2015:1211) stable; urgency=medium

  * Added ruby-test-unit as an explicit depends.
  * Removed ruby-mocha, ruby-webmock and ruby-acme-client from build-deps, and
    added them to the dependencies for the package itself for testing.
  * Utils#get_param now returns nil if the file is missing/unreadable.
  * Added Utils#get_param_from_dir_stack.
  * Refactored SSL code to use "certificate sets", allowing SSL certificate
    rollover.
  * Added "letsencrypt" as an SSL provider.
  * Added a "selfsigned" provider to mirror the letsencrypt class.
  * Introduced new symbiosis-ssl command to handle all this. This gets run on
    a weekly basis to do rollover.
  * The DKIM selector code has been tidied to work if the hostname doesn't
    match the selector regex.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:47:43 +0000

symbiosis-common (2015:1106) stable; urgency=medium

  * Added dependency on make.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 06 Nov 2015 15:08:22 +0000

symbiosis-common (2015:1105) stable; urgency=medium

  * Added Makefile in /etc/ssl to generate certificate, key, and combined form
    of certificate, bundle, and key, which is required for the FTP and email
    servers.  Any files that don't verify in the existing set up are moved out
    of the way.
  * The makefile can also generate certificate requests.
  * Keys generated by the makefile will be owned by the ssl-cert group if the


=== debian/control ===
Source: sympl-common
Section: web
Priority: extra
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, dh-systemd
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-common
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ruby-json-jwt, ruby-password, ruby-diffy, ruby-erubis, ruby-mocha, ruby-webmock, ruby-test-unit, ruby-faraday, gnutls-bin, gcc, openssl, sudo, adduser, ssl-cert, debconf-utils, ${misc:Depends}
Replaces: symbiosis-common
Conflicts: symbiosis-common
Provides: symbiosis-common
Description: Common library functions for Sympl
 This package contains shared code and scripts for use by the Sympl system.
 .

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby --with-systemd

override_dh_installinit:
	# This service is called by sympl-skel.path, so no need to do
	# anything other than install it.
	dh_installinit --no-start --no-scripts --name sympl-skel
	# GROSS HACK.  dh_installinit doesn't seem to support systemd units
	# other than service, so install it directly.
	dh_install debian/sympl-skel.path lib/systemd/system/
	dh_systemd_enable sympl-skel.path
	dh_systemd_start sympl-skel.path

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean
